package com.yanzhu.manage.mapper;

import java.util.List;
import com.yanzhu.manage.domain.BusExamUser;
import com.yanzhu.manage.domain.BusExamUserResult;

/**
 * 用户试卷Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface BusExamUserMapper 
{
    /**
     * 查询用户试卷
     * 
     * @param id 用户试卷主键
     * @return 用户试卷
     */
    public BusExamUser selectBusExamUserById(Long id);

    /**
     * 查询用户试卷列表
     * 
     * @param busExamUser 用户试卷
     * @return 用户试卷集合
     */
    public List<BusExamUser> selectBusExamUserList(BusExamUser busExamUser);

    /**
     * 新增用户试卷
     * 
     * @param busExamUser 用户试卷
     * @return 结果
     */
    public int insertBusExamUser(BusExamUser busExamUser);

    /**
     * 修改用户试卷
     * 
     * @param busExamUser 用户试卷
     * @return 结果
     */
    public int updateBusExamUser(BusExamUser busExamUser);

    /**
     * 删除用户试卷
     * 
     * @param id 用户试卷主键
     * @return 结果
     */
    public int deleteBusExamUserById(Long id);

    /**
     * 批量删除用户试卷
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusExamUserByIds(Long[] ids);


    /**
     * 批量删除用户试卷结果
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusExamUserResultByExamUserIds(Long[] ids);

    /**
     * 批量新增用户试卷结果
     *
     * @param busExamUserResultList 用户试卷结果列表
     * @return 结果
     */
    public int batchBusExamUserResult(List<BusExamUserResult> busExamUserResultList);


    /**
     * 通过用户试卷主键删除用户试卷结果信息
     *
     * @param id 用户试卷ID
     * @return 结果
     */
    public int deleteBusExamUserResultByExamUserId(Long id);
}
